GlueGen: com.jogamp.gluegen.GlueGen Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.jogamp.gluegen.GlueGen Class Reference

Glue code generator for C functions and data structures. More...

Inheritance diagram for com.jogamp.gluegen.GlueGen:
Collaboration diagram for com.jogamp.gluegen.GlueGen:

## Public Member Functions

void | forceStructEmission (final String typedefName)
| Requests emission of an accessor for a struct that will not be referenced by any functions or other structs. More...
String | findHeaderFile (final String headerFileName)
| Finds the full path name of the specified header file based on the include directories specified on the command line. More...
void | runSymbolFilter (final SymbolFilter filter)
| Runs the given filter on the #defines, enum definitions and function symbols that this controller has parsed. More...
void | run (final Reader reader, final String filename, final Class<?> emitterClass, final List< String > includePaths, final List< String > cfgFiles, final String outputRootDir, final boolean copyCPPOutput2Stderr, final boolean enablePragmaOnce, final boolean preserveGeneratedCPP)
void | forceStructEmission (String typedefName)
| Requests emission of an accessor for a struct that will not be referenced by any functions or other structs. More...
String | findHeaderFile (String headerFileName)
| Finds the full path name of the specified header file based on the include directories specified on the command line. More...
void | runSymbolFilter (SymbolFilter filter)
| Runs the given filter on the #defines, enum definitions and function symbols that this controller has parsed. More...

## Static Public Member Functions

static void | setDebug (final boolean v)
static void | setLogLevel (final Level l)
static boolean | debug ()
static void | main (final String... args)

## Static Public Attributes

static final String | __GLUEGEN__ = "__GLUEGEN__"
| GlueGen's build in macro name {@value}, when compiling w/ GlueGen. More...

## Detailed Description

Glue code generator for C functions and data structures.

Definition at line 59 of file GlueGen.java.

## Member Function Documentation

## ◆ debug()

static boolean com.jogamp.gluegen.GlueGen.debug | ( |  | ) |

static

Definition at line 78 of file GlueGen.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ findHeaderFile()

String com.jogamp.gluegen.GlueGen.findHeaderFile | ( | final String | headerFileName | ) |

Finds the full path name of the specified header file based on the include directories specified on the command line.

Implements com.jogamp.gluegen.GlueEmitterControls.

Definition at line 86 of file GlueGen.java.

Here is the call graph for this function:

## ◆ forceStructEmission()

void com.jogamp.gluegen.GlueGen.forceStructEmission | ( | final String | typedefName | ) |

Requests emission of an accessor for a struct that will not be referenced by any functions or other structs.

Implements com.jogamp.gluegen.GlueEmitterControls.

Definition at line 81 of file GlueGen.java.

## ◆ main()

static void com.jogamp.gluegen.GlueGen.main | ( | final String... | args | ) |

static

Definition at line 383 of file GlueGen.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ run()

void com.jogamp.gluegen.GlueGen.run | ( | final Reader | reader,
|  | final String | filename,
|  | final Class<?> | emitterClass,
|  | final List< String > | includePaths,
|  | final List< String > | cfgFiles,
|  | final String | outputRootDir,
|  | final boolean | copyCPPOutput2Stderr,
|  | final boolean | enablePragmaOnce,
|  | final boolean | preserveGeneratedCPP
| ) |  |

Definition at line 107 of file GlueGen.java.

Here is the caller graph for this function:

## ◆ runSymbolFilter()

void com.jogamp.gluegen.GlueGen.runSymbolFilter | ( | final SymbolFilter | filter | ) |

Runs the given filter on the #defines, enum definitions and function symbols that this controller has parsed.

It is valid to call this method as soon as `GlueEmitter#beginEmission` has been called on the GlueEmitter, and it is recommended to call it from that method call. Calling it during glue code emission may cause problems.

Implements com.jogamp.gluegen.GlueEmitterControls.

Definition at line 91 of file GlueGen.java.

Here is the call graph for this function:

## ◆ setDebug()

static void com.jogamp.gluegen.GlueGen.setDebug | ( | final boolean | v | ) |

static

Definition at line 76 of file GlueGen.java.

## ◆ setLogLevel()

static void com.jogamp.gluegen.GlueGen.setLogLevel | ( | final Level | l | ) |

static

Definition at line 77 of file GlueGen.java.

## Member Data Documentation

## ◆ __GLUEGEN__

final String com.jogamp.gluegen.GlueGen.__GLUEGEN__ = "__GLUEGEN__"

static

GlueGen's build in macro name {@value}, when compiling w/ GlueGen.

Definition at line 104 of file GlueGen.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/GlueGen.java